
var discPos = 0, discSpeed = 0, discTimer;

function rotateDisc(trigger) {
	logFunc("rotateDisc");
	
	if(!isLoaded && trigger)
		clickNew();
	discSpeed = Math.PI;
	if(discTimer)
		clearTimeout(discTimer);
	discTimer = setTimeout(renderFrame, 33);
}

var dvdTextIcons = new Array(), dvdTextIconSpeeds = 
		[Math.PI * 1 / 180, 
		 Math.PI * 2 / 180, 
		 Math.PI * 3 / 180, 
		 Math.PI * 5 / 180, 
		 Math.PI * 8 / 180, 
		 Math.PI * 12 / 180, 
		 Math.PI * 17 / 180,
		 Math.PI * 23 / 180,
		 Math.PI * 30 / 180,
		 Math.PI * 38 / 180,
		 Math.PI * 47 / 180,
		 Math.PI * 57 / 180,
		 Math.PI * 68 / 180,
		 Math.PI * 80 / 180,
		 Math.PI * 100 / 180];
		 
for(i = 0; i <= 15; i++) {
	dvdTextIcons[i] = new Image();
	dvdTextIcons[i].src = 'Images/dvd-icon-' + i + '.png';
}

var expandArrow = new Image();
expandArrow.src = "Images/expandArrow.png";

function renderFrame()
{
	var ctx = gebi("discLabel");
	
	ctx = ctx.getContext('2d');
	
	ctx.save();
	ctx.clearRect(0,0,60,60);
	ctx.translate(30,30);
	ctx.rotate(discPos);
	var i;
	for(i = 0; i < dvdTextIconSpeeds.length - 1; i++) {
		if(discSpeed <= dvdTextIconSpeeds[i])
			break;
	}
	ctx.drawImage(dvdTextIcons[i], -30, -30);
	ctx.restore();
	
	discPos -= discSpeed;
	
	if(discSpeed > Math.PI * 6 / 180)
		discSpeed -= .033 * 1.5 * discSpeed;
	else if(discPos > 0.03) {
		viscosity = (Math.pow(1 - discPos / (Math.PI * 2), 100));
		discSpeed -= viscosity * discSpeed;
	} else {
		discSpeed = 0;
		discPos = 0;
		ctx.save();
		ctx.clearRect(0,0,60,60);
		ctx.translate(30,30);
		ctx.rotate(discPos);
		ctx.drawImage(dvdTextIcons[0], -30, -30);
		ctx.restore();
	}
	if(discPos < 0)
		discPos += Math.PI * 2;
		
	if(discSpeed > 0)
		discTimer = setTimeout(renderFrame, 33);
}